# Parle\RParser::trace

(PECL parle >= 0.7.0)

Parle\RParser::trace — Trace the parser operation

### Description

public Parle\RParser::trace ( void ) : string

Retrieve the current parser operation description. This can be especially useful to study the parser and to optimize the grammar.

### Parameters

This function has no parameters.

### Return Values

Returns a string with the trace information.